## GogSeriesLabels

GogSeriesLabels

## Functions

GogSeriesLabelElt const * | gog_data_label_get_element ()
GogSeriesLabelsPos | gog_data_label_get_position ()
void | gog_data_label_set_allowed_position ()
void | gog_data_label_set_default_position ()
void | gog_data_label_set_position ()
GogSeriesLabelsPos | gog_series_labels_get_position ()
GogSeriesLabelElt const * | gog_series_labels_scalar_get_element ()
void | gog_series_labels_set_allowed_position ()
void | gog_series_labels_set_default_position ()
void | gog_series_labels_set_position ()
GogSeriesLabelElt const * | gog_series_labels_vector_get_element ()

## Properties

char * | format | Read / Write
int | index | Read / Write
guint | offset | Read / Write
char * | position | Read / Write
char * | format | Read / Write
guint | offset | Read / Write
char * | position | Read / Write

## Types and Values

| GogDataLabel
| GogSeriesLabelElt
enum | GogSeriesLabelsPos
| GogSeriesLabels

## Object Hierarchy

        GBoxed
        ╰── GogSeriesLabelElt
        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ╰── GogOutlinedObject
                    ├── GogDataLabel
                    ╰── GogSeriesLabels

## Implemented Interfaces

GogDataLabel implements GOStyledObject and GogDataset.

GogSeriesLabels implements GOStyledObject and GogDataset.

## Description

## Functions

### gog_data_label_get_element ()

    GogSeriesLabelElt const *
    gog_data_label_get_element (GogDataLabel const *lbl);

### gog_data_label_get_position ()

    GogSeriesLabelsPos
    gog_data_label_get_position (GogDataLabel const *lbl);

### gog_data_label_set_allowed_position ()

    void
    gog_data_label_set_allowed_position (GogDataLabel *lbl,
                                         unsigned  allowed);

### gog_data_label_set_default_position ()

    void
    gog_data_label_set_default_position (GogDataLabel *lbl,
                                         GogSeriesLabelsPos pos);

### gog_data_label_set_position ()

    void
    gog_data_label_set_position (GogDataLabel *lbl,
                                 GogSeriesLabelsPos pos);

### gog_series_labels_get_position ()

    GogSeriesLabelsPos
    gog_series_labels_get_position (GogSeriesLabels const *lbls);

### gog_series_labels_scalar_get_element ()

    GogSeriesLabelElt const *
    gog_series_labels_scalar_get_element (GogSeriesLabels const *lbls);

### gog_series_labels_set_allowed_position ()

    void
    gog_series_labels_set_allowed_position
                                   (GogSeriesLabels *lbls,
                                    unsigned  allowed);

### gog_series_labels_set_default_position ()

    void
    gog_series_labels_set_default_position
                                   (GogSeriesLabels *lbls,
                                    GogSeriesLabelsPos pos);

### gog_series_labels_set_position ()

    void
    gog_series_labels_set_position (GogSeriesLabels *lbls,
                                    GogSeriesLabelsPos pos);

### gog_series_labels_vector_get_element ()

    GogSeriesLabelElt const *
    gog_series_labels_vector_get_element (GogSeriesLabels const *lbls,
                                          unsigned  n);

## Types and Values

### GogDataLabel

    typedef struct _GogDataLabel GogDataLabel;

### GogSeriesLabelElt

    typedef struct {
    	GOString *str;
    	int legend_pos;
    	GogObject *point;
    } GogSeriesLabelElt;

#### Members

GOString *`str`; | the string to display. |
int `legend_pos`; | the label position. |
GogObject *`point`; | GogObject } |

### enum GogSeriesLabelsPos

#### Members

GOG_SERIES_LABELS_DEFAULT_POS | default position. |
GOG_SERIES_LABELS_CENTERED | centered. |
GOG_SERIES_LABELS_TOP | at top. |
GOG_SERIES_LABELS_BOTTOM | at bottom. |
GOG_SERIES_LABELS_LEFT | at left. |
GOG_SERIES_LABELS_RIGHT | at right. |
GOG_SERIES_LABELS_OUTSIDE | outside the element. |
GOG_SERIES_LABELS_INSIDE | inside the element. |
GOG_SERIES_LABELS_NEAR_ORIGIN | near origin. |

### GogSeriesLabels

    typedef struct _GogSeriesLabels GogSeriesLabels;

## Property Details

### The `“format”` property

      “format”                   char *

Label format.

Owner: GogDataLabel

Flags: Read / Write

Default value: ""

### The `“index”` property

      “index”                    int

Index of the corresponding data element.

Owner: GogDataLabel

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“offset”` property

      “offset”                   guint

Offset to add to the label position.

Owner: GogDataLabel

Flags: Read / Write

Allowed values: <= 20

Default value: 0

### The `“position”` property

      “position”                 char *

Position of the label relative to the data graphic element.

Owner: GogDataLabel

Flags: Read / Write

Default value: "default"

### The `“format”` property

      “format”                   char *

Label format.

Owner: GogSeriesLabels

Flags: Read / Write

Default value: ""

### The `“offset”` property

      “offset”                   guint

Offset to add to the label position.

Owner: GogSeriesLabels

Flags: Read / Write

Allowed values: <= 20

Default value: 0

### The `“position”` property

      “position”                 char *

Position of the label relative to the data graphic element.

Owner: GogSeriesLabels

Flags: Read / Write

Default value: "default"